Name: basesystem
Version: sisyphus
Release: alt9
Serial: 1

Summary: The skeleton package which defines a basic %distribution system
License: GPL
Group: System/Base
BuildArch: noarch

PreReq: altlinux-release bash chkconfig common-licenses coreutils dev diffutils
PreReq: e2fsprogs etcskel filesystem findutils gawk getopt grep gzip
PreReq: info-install losetup net-tools perl-base rootfiles
PreReq: rpm sed service setup shadow-utils startup SysVinit tar
PreReq: util-linux vim-minimal

%package -n interactivesystem
Summary: The skeleton package which defines an interactive %distribution system
Group: System/Base
PreReq: %name = %version-%release
PreReq: bdflush console-tools crontabs info less man mingetty mkbootdisk
PreReq: net-scripts termutils passwd sash sound-scripts stat time tmpwatch
#PreReq: bootloader

%description
Basesystem defines the components of a basic %distribution system
(for example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description -n interactivesystem
Basesystem defines the components of an interactive %distribution system
(for example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%files
%files -n interactivesystem

%changelog
* Mon Sep 22 2003 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt9
- basesystem: added bash (#3018).

* Thu Apr 24 2003 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt8
- basesystem: replaced initscripts with service + startup.
- interactivesystem: added packages: sound-scripts net-scripts.

* Wed Feb 12 2003 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt7
- Added getopt to basesystem list.

* Fri Feb 07 2003 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt6
- Removed kernel and bash from basesystem list.

* Tue Sep 17 2002 Stanislav Ievlev <inger@altlinux.ru> 1:sisyphus-alt5
- move from sh-utils, textutils and fileutils to coreutils

* Wed Aug 14 2002 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt4
- interactivesystem:
  + removed from requires: ncurses.
  + added to requires: termutils.

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt3
- interactivesystem: removed from requires: termcap, ntsysv.

* Sun Jun 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1:sisyphus-alt2
- basesystem: removed from requires: crontabs, ncurses.
- interactivesystem: added to requires: bdflush, crontabs, mingetty, ncurses.

* Sat Nov 17 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:sisyphus-alt1
- Split into two packages.
- Cleanup requires.

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 7.2-ipl4mdk
- Changed kernel to kernel-up.

* Wed Jan 31 2001 Dmitry V. Levin <ldv@fandra.org> 7.2-ipl3mdk
- Added require on common-licenses.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 7.2-ipl2mdk
- Removed sysklogd from requires.

* Fri Oct 27 2000 Francis Galiegue <fg@mandrakesoft.com> 7.2-2mdk
- ia64: does not require ldconfig nor procmail for now - KLUDGE - see spec file
  for details
- ia64: requires eli

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 7.2-1mdk
- 7.2

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-4mdk
- remove the BuildArchitectures: noarch
 (otherwise can't have arch dependent Requires, silly me)

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 7.1-3mdk
- changed require vim-minimal to vim (thanks Quel Qun)

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- added a *lot* of requires. Now *is* the base

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-1mdk
- Upgrade version.
- Update groups.

* Thu Dec  2 1999 Pixel <pixel@linux-mandrake.com>
- changed back Requires to preReq :(

* Wed Dec  1 1999 Pixel <pixel@linux-mandrake.com>
- changed preReq to Requires

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement (VER: 6mdk).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- don't require rpm (breaks dependency chain)

* Tue Mar 16 1999 Erik Troan <ewt@redhat.com>
- require rpm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
